org.eclipse.gef.zest.fx.operations

## Class ChangeAttributeOperation

- java.lang.Object
- - org.eclipse.core.commands.operations.AbstractOperation
  - - org.eclipse.gef.zest.fx.operations.ChangeAttributeOperation

All Implemented Interfaces:
  IUndoableOperation, ITransactionalOperation

    public class ChangeAttributeOperation
    extends AbstractOperation
    implements ITransactionalOperation

The `ChangeAttributeOperation` can be used to manipulate the value of an attribute of an `IAttributeStore`.

### Constructor Summary

Constructors
Constructor and Description
`ChangeAttributeOperation(org.eclipse.gef.common.attributes.IAttributeStore attributeStore, java.lang.String attributeKey, java.lang.Object attributeValue)` Constructs a new `ChangeAttributeOperation` to manipulate the value of an attribute for the given `IAttributeStore`.

### Method Summary

All Methods Instance Methods Concrete Methods
`IStatus` `execute(IProgressMonitor monitor, IAdaptable info)`
`boolean` `isContentRelevant()`
`boolean` `isNoOp()`
`IStatus` `redo(IProgressMonitor monitor, IAdaptable info)`
`IStatus` `undo(IProgressMonitor monitor, IAdaptable info)`

### Methods inherited from class org.eclipse.core.commands.operations.AbstractOperation

`addContext, canExecute, canRedo, canUndo, dispose, getContexts, getLabel, hasContext, removeContext, setLabel, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.core.commands.operations.IUndoableOperation

`addContext, canExecute, canRedo, canUndo, dispose, getContexts, getLabel, hasContext, removeContext`

### Constructor Detail

#### ChangeAttributeOperation

    public ChangeAttributeOperation(org.eclipse.gef.common.attributes.IAttributeStore attributeStore,
                                    java.lang.String attributeKey,
                                    java.lang.Object attributeValue)

Constructs a new `ChangeAttributeOperation` to manipulate the value of an attribute for the given `IAttributeStore`.

Parameters:
  `attributeStore` - The `IAttributeStore` that is manipulated by this operation.
  `attributeKey` - The key that identifies the attribute to change.
  `attributeValue` - The new value of the attribute.

### Method Detail

#### execute

    public IStatus execute(IProgressMonitor monitor,
                           IAdaptable info)
                    throws ExecutionException

Specified by:
  `execute` in interface `IUndoableOperation`
Specified by:
  `execute` in class `AbstractOperation`
Throws:
  `ExecutionException`

#### isContentRelevant

    public boolean isContentRelevant()

Specified by:
  `isContentRelevant` in interface `ITransactionalOperation`

#### isNoOp

    public boolean isNoOp()

Specified by:
  `isNoOp` in interface `ITransactionalOperation`

#### redo

    public IStatus redo(IProgressMonitor monitor,
                        IAdaptable info)
                 throws ExecutionException

Specified by:
  `redo` in interface `IUndoableOperation`
Specified by:
  `redo` in class `AbstractOperation`
Throws:
  `ExecutionException`

#### undo

    public IStatus undo(IProgressMonitor monitor,
                        IAdaptable info)
                 throws ExecutionException

Specified by:
  `undo` in interface `IUndoableOperation`
Specified by:
  `undo` in class `AbstractOperation`
Throws:
  `ExecutionException`